## Function `jsonToDoubles( jsonArray )`

Description:
  Converts a JSONArray to an array of floating point values. The result will be the same length as the supplied JSONArray, and any element in the JSONArray which cannot be interpreted as a floating point value is represented by a NaN.

Parameters:
  `jsonArray` (JSONArray)
    JSON Array

Return Value (array of floating point):
  floating point array the same length as the input array

Example:
  jsonToDoubles(jsonArray("[true, \"two\", 3.0, 4, null"])) = [NaN, NaN, 3.0, 4.0, NaN]

Signature:
  `double[] jsonToDoubles(JSONArray)`